package main

import (
	"github.com/go-ini/ini"
	"log"
)

//Configuration Struct
type Configuration struct {
	AdminPassword string
	Interface     string
	DBFile        string
}

var SiteConf Configuration = Configuration{}

func initConfig() *Configuration {
	SiteConf := new(Configuration)
	err := ini.MapTo(SiteConf, "config.ini")
	if err != nil {
		log.Fatal(err)
	}
	return SiteConf
}
